<h3>agregar <small>{{nuevo.nombre}}</small></h3>
    <hr />
    <!-- enviamos todo el evento del formulario -->
    <!-- sino fuera por angular tendriamos que hacer asi el prevent defautl -->
    <!-- <form  (submit)="agregar($event)"> -->
    <form (ngSubmit)="agregar()">
      <!-- con las[] enlazamos alguna propiedad de html con una variable de nuestro .ts, en este caso la propiedad value del fromulario, la asignamos con el valor de nombre de nuestro .ts  -->
      <!-- [] es para establecer alguna propiedad, () es para escuchar eventos-->
      <!-- esto de abajo es para hacer un ngmodel 2way data binding a mano, se emite el evento que obtiene el valor del input y en el codigo de typescript habria que asignarlo a la variable tomando el valor del input enviado -->
      <!-- <input type="text" placeholder="nombre" (input)="cambiarNombre($event)" [value]="nuevo.nombre" /> -->
      <!-- los simbolos[()] significan que se emite y recibe eventos, oseas 2way data binding -->
      <input type="text" placeholder="nombre" name="nombre" [(ngModel)]="nuevo.nombre">
      <input type="number" placeholder="poder" name="poder" [(ngModel)]="nuevo.poder" />
      <button type="submit">agregar</button>
    </form>